## notepadqq 1.4.8

=== src/build-ui-Desktop_Qt_5_10_1_clang_64bit-Debug/Makefile ===
#############################################################################
# Makefile for building: ../../out/debug/notepadqq.app/Contents/MacOS/notepadqq
# Generated by qmake (3.1) (Qt 5.10.1)
# Project:  ../ui/ui.pro
# Template: app
# Command: /Users/daniele/Qt/5.10.1/clang_64/bin/qmake -o Makefile ../ui/ui.pro -spec macx-clang CONFIG+=debug CONFIG+=x86_64 CONFIG+=qml_debug
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang
CXX           = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
DEFINES       = -DQT_NO_URL_CAST_FROM_STRING -DQT_QML_DEBUG -DQT_SVG_LIB -DQT_WEBENGINEWIDGETS_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_WEBENGINECORE_LIB -DQT_QUICK_LIB -DQT_GUI_LIB -DQT_WEBCHANNEL_LIB -DQT_QML_LIB -DQT_WEBSOCKETS_LIB -DQT_NETWORK_LIB -DQT_POSITIONING_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -g $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk -mmacosx-version-min=10.10 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -stdlib=libc++ -g -std=gnu++1y $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk -mmacosx-version-min=10.10 -Wall -W -Wold-style-cast -fPIC $(DEFINES)
INCPATH       = -I../ui -I. -I../ui/libs/qtpromise/include -I../ui/libs/qtpromise/src -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtSvg.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtWebEngineWidgets.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtPrintSupport.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtWidgets.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtWebEngineCore.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtQuick.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtGui.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtWebChannel.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtQml.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtWebSockets.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtNetwork.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtPositioning.framework/Headers -I/Users/daniele/Qt/5.10.1/clang_64/lib/QtCore.framework/Headers -I../../out/build_data -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/AGL.framework/Headers -I../../out/build_data -I/Users/daniele/Qt/5.10.1/clang_64/mkspecs/macx-clang -F/Users/daniele/Qt/5.10.1/clang_64/lib
QMAKE         = /Users/daniele/Qt/5.10.1/clang_64/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /Users/daniele/Qt/5.10.1/clang_64/bin/qmake -install qinstall
QINSTALL_PROGRAM = /Users/daniele/Qt/5.10.1/clang_64/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = notepadqq1.0.0
DISTDIR = /Users/daniele/Progetti/qt/notepadqq/out/build_data/notepadqq1.0.0
LINK          = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
LFLAGS        = -stdlib=libc++ -headerpad_max_install_names $(EXPORT_ARCH_ARGS) -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk -mmacosx-version-min=10.10 -Wl,-rpath,@executable_path/Frameworks -Wl,-rpath,/Users/daniele/Qt/5.10.1/clang_64/lib
LIBS          = $(SUBLIBS) -F/Users/daniele/Qt/5.10.1/clang_64/lib -framework QtSvg -framework QtWidgets -framework QtGui -framework QtCore -framework DiskArbitration -framework IOKit -framework QtWebEngineWidgets -framework QtWebEngineCore -framework QtQuick -framework QtQml -framework QtNetwork -framework QtWebChannel -framework QtPositioning -framework QtPrintSupport -framework QtWebSockets -framework OpenGL -framework AGL 
AR            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ar cq
RANLIB        = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ranlib -s
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = ../../out/build_data/

####### Files

SOURCES       = ../ui/main.cpp \
		../ui/mainwindow.cpp \
		../ui/topeditorcontainer.cpp \
		../ui/editortabwidget.cpp \
		../ui/docengine.cpp \
		../ui/frmabout.cpp \
		../ui/notepadqq.cpp \
		../ui/frmpreferences.cpp \
		../ui/iconprovider.cpp \
		../ui/EditorNS/editor.cpp \
		../ui/EditorNS/bannerfilechanged.cpp \
		../ui/EditorNS/bannerbasicmessage.cpp \
		../ui/EditorNS/bannerfileremoved.cpp \
		../ui/EditorNS/customqwebview.cpp \
		../ui/EditorNS/languageservice.cpp \
		../ui/clickablelabel.cpp \
		../ui/frmencodingchooser.cpp \
		../ui/EditorNS/bannerindentationdetected.cpp \
		../ui/frmindentationmode.cpp \
		../ui/singleapplication.cpp \
		../ui/localcommunication.cpp \
		../ui/Search/frmsearchreplace.cpp \
		../ui/Search/searchstring.cpp \
		../ui/Search/advancedsearchdock.cpp \
		../ui/Extensions/extension.cpp \
		../ui/frmlinenumberchooser.cpp \
		../ui/Extensions/extensionsserver.cpp \
		../ui/Extensions/Stubs/stub.cpp \
		../ui/Extensions/runtimesupport.cpp \
		../ui/Extensions/Stubs/windowstub.cpp \
		../ui/Extensions/Stubs/notepadqqstub.cpp \
		../ui/Extensions/Stubs/editorstub.cpp \
		../ui/Extensions/extensionsloader.cpp \
		../ui/globals.cpp \
		../ui/Extensions/Stubs/menuitemstub.cpp \
		../ui/Extensions/installextension.cpp \
		../ui/keygrabber.cpp \
		../ui/Sessions/sessions.cpp \
		../ui/Sessions/persistentcache.cpp \
		../ui/nqqsettings.cpp \
		../ui/nqqrun.cpp \
		../ui/Search/filesearcher.cpp \
		../ui/Search/filereplacer.cpp \
		../ui/Search/searchobjects.cpp \
		../ui/Search/searchinstance.cpp \
		../ui/stats.cpp \
		../ui/Sessions/backupservice.cpp ../../out/build_data/qrc_resources.cpp \
		../../out/build_data/moc_mainwindow.cpp \
		../../out/build_data/moc_topeditorcontainer.cpp \
		../../out/build_data/moc_editortabwidget.cpp \
		../../out/build_data/moc_docengine.cpp \
		../../out/build_data/moc_frmabout.cpp \
		../../out/build_data/moc_notepadqq.cpp \
		../../out/build_data/moc_frmpreferences.cpp \
		../../out/build_data/moc_editor.cpp \
		../../out/build_data/moc_bannerfilechanged.cpp \
		../../out/build_data/moc_bannerbasicmessage.cpp \
		../../out/build_data/moc_bannerfileremoved.cpp \
		../../out/build_data/moc_customqwebview.cpp \
		../../out/build_data/moc_clickablelabel.cpp \
		../../out/build_data/moc_frmencodingchooser.cpp \
		../../out/build_data/moc_bannerindentationdetected.cpp \
		../../out/build_data/moc_frmindentationmode.cpp \
		../../out/build_data/moc_singleapplication.cpp \
		../../out/build_data/moc_frmsearchreplace.cpp \
		../../out/build_data/moc_advancedsearchdock.cpp \
		../../out/build_data/moc_extension.cpp \
		../../out/build_data/moc_frmlinenumberchooser.cpp \
		../../out/build_data/moc_extensionsserver.cpp \
		../../out/build_data/moc_stub.cpp \
		../../out/build_data/moc_runtimesupport.cpp \
		../../out/build_data/moc_windowstub.cpp \
		../../out/build_data/moc_notepadqqstub.cpp \
		../../out/build_data/moc_extensionsloader.cpp \
		../../out/build_data/moc_menuitemstub.cpp \
		../../out/build_data/moc_installextension.cpp \
		../../out/build_data/moc_keygrabber.cpp \
		../../out/build_data/moc_nqqrun.cpp \
		../../out/build_data/moc_filesearcher.cpp \
		../../out/build_data/moc_filereplacer.cpp \
		../../out/build_data/moc_searchinstance.cpp
OBJECTS       = ../../out/build_data/main.o \
		../../out/build_data/mainwindow.o \
		../../out/build_data/topeditorcontainer.o \
		../../out/build_data/editortabwidget.o \
		../../out/build_data/docengine.o \
		../../out/build_data/frmabout.o \
		../../out/build_data/notepadqq.o \
		../../out/build_data/frmpreferences.o \
		../../out/build_data/iconprovider.o \
		../../out/build_data/editor.o \
		../../out/build_data/bannerfilechanged.o \
		../../out/build_data/bannerbasicmessage.o \
		../../out/build_data/bannerfileremoved.o \
		../../out/build_data/customqwebview.o \
		../../out/build_data/languageservice.o \
		../../out/build_data/clickablelabel.o \
		../../out/build_data/frmencodingchooser.o \
		../../out/build_data/bannerindentationdetected.o \
		../../out/build_data/frmindentationmode.o \
		../../out/build_data/singleapplication.o \
		../../out/build_data/localcommunication.o \
		../../out/build_data/frmsearchreplace.o \
		../../out/build_data/searchstring.o \
		../../out/build_data/advancedsearchdock.o \
		../../out/build_data/extension.o \
		../../out/build_data/frmlinenumberchooser.o \
		../../out/build_data/extensionsserver.o \
		../../out/build_data/stub.o \
		../../out/build_data/runtimesupport.o \
		../../out/build_data/windowstub.o \
		../../out/build_data/notepadqqstub.o \
		../../out/build_data/editorstub.o \
		../../out/build_data/extensionsloader.o \
		../../out/build_data/globals.o \
		../../out/build_data/menuitemstub.o \
		../../out/build_data/installextension.o \
		../../out/build_data/keygrabber.o \
		../../out/build_data/sessions.o \
		../../out/build_data/persistentcache.o \
		../../out/build_data/nqqsettings.o \
		../../out/build_data/nqqrun.o \
		../../out/build_data/filesearcher.o \
		../../out/build_data/filereplacer.o \
		../../out/build_data/searchobjects.o \
		../../out/build_data/searchinstance.o \
		../../out/build_data/stats.o \
		../../out/build_data/backupservice.o \
		../../out/build_data/qrc_resources.o \
		../../out/build_data/moc_mainwindow.o \
		../../out/build_data/moc_topeditorcontainer.o \
		../../out/build_data/moc_editortabwidget.o \
		../../out/build_data/moc_docengine.o \
		../../out/build_data/moc_frmabout.o \
		../../out/build_data/moc_notepadqq.o \
		../../out/build_data/moc_frmpreferences.o \
		../../out/build_data/moc_editor.o \
		../../out/build_data/moc_bannerfilechanged.o \
		../../out/build_data/moc_bannerbasicmessage.o \
		../../out/build_data/moc_bannerfileremoved.o \
		../../out/build_data/moc_customqwebview.o \
		../../out/build_data/moc_clickablelabel.o \
		../../out/build_data/moc_frmencodingchooser.o \
		../../out/build_data/moc_bannerindentationdetected.o \
		../../out/build_data/moc_frmindentationmode.o \
		../../out/build_data/moc_singleapplication.o \
		../../out/build_data/moc_frmsearchreplace.o \
		../../out/build_data/moc_advancedsearchdock.o \
		../../out/build_data/moc_extension.o \
		../../out/build_data/moc_frmlinenumberchooser.o \
		../../out/build_data/moc_extensionsserver.o \
		../../out/build_data/moc_stub.o \
		../../out/build_data/moc_runtimesupport.o \
		../../out/build_data/moc_windowstub.o \
		../../out/build_data/moc_notepadqqstub.o \
		../../out/build_data/moc_extensionsloader.o \
		../../out/build_data/moc_menuitemstub.o \
		../../out/build_data/moc_installextension.o \
		../../out/build_data/moc_keygrabber.o \
		../../out/build_data/moc_nqqrun.o \
		../../out/build_data/moc_filesearcher.o \
		../../out/build_data/moc_filereplacer.o \
		../../out/build_data/moc_searchinstance.o
DIST          = /Users/daniele/Qt/5.10.1/clang_64/mkspecs/features/spec_pre.prf \
		/Users/daniele/Qt/5.10.1/clang_64/mkspecs/qdevice.pri \
		/Users/daniele/Qt/5.10.1/clang_64/mkspecs/features/device_config.prf \
		/Users/daniele/Qt/5.10.1/clang_64/mkspecs/common/unix.conf \
		/Users/daniele/Qt/5.10.1/clang_64/mkspecs/common/mac.conf \

=== src/build-ui-Desktop_Qt_5_5_1_clang_64bit2-Debug/Makefile ===
#############################################################################
# Makefile for building: ../../out/debug/notepadqq.app/Contents/MacOS/notepadqq
# Generated by qmake (3.0) (Qt 5.5.1)
# Project:  ../ui/ui.pro
# Template: app
# Command: /Users/daniele/Qt/5.5/clang_64/bin/qmake -spec macx-clang CONFIG+=debug CONFIG+=x86_64 CONFIG+=qml_debug -o Makefile ../ui/ui.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang
CXX           = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
DEFINES       = -DQT_NO_URL_CAST_FROM_STRING -DQT_QML_DEBUG -DQT_SVG_LIB -DQT_WEBKITWIDGETS_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -g -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk -mmacosx-version-min=10.7 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk -std=c++11 -stdlib=libc++ -mmacosx-version-min=10.7 -Wall -W -Wold-style-cast -fPIC $(DEFINES)
INCPATH       = -I../ui -I. -I/Users/daniele/Qt/5.5/clang_64/lib/QtSvg.framework/Headers -I/Users/daniele/Qt/5.5/clang_64/lib/QtWebKitWidgets.framework/Headers -I/Users/daniele/Qt/5.5/clang_64/lib/QtPrintSupport.framework/Headers -I/Users/daniele/Qt/5.5/clang_64/lib/QtWidgets.framework/Headers -I/Users/daniele/Qt/5.5/clang_64/lib/QtWebKit.framework/Headers -I/Users/daniele/Qt/5.5/clang_64/lib/QtGui.framework/Headers -I/Users/daniele/Qt/5.5/clang_64/lib/QtNetwork.framework/Headers -I/Users/daniele/Qt/5.5/clang_64/lib/QtCore.framework/Headers -I../../out/build_data -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk/System/Library/Frameworks/AGL.framework/Headers -I../../out/build_data -I/Users/daniele/Qt/5.5/clang_64/mkspecs/macx-clang -F/Users/daniele/Qt/5.5/clang_64/lib
QMAKE         = /Users/daniele/Qt/5.5/clang_64/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = notepadqq1.0.0
DISTDIR = /Users/daniele/Progetti/qt/notepadqq/out/build_data/notepadqq1.0.0
LINK          = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
LFLAGS        = -headerpad_max_install_names -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.13.sdk -stdlib=libc++ -mmacosx-version-min=10.7 -Wl,-rpath,/Users/daniele/Qt/5.5/clang_64/lib
LIBS          = $(SUBLIBS) -F/Users/daniele/Qt/5.5/clang_64/lib -framework QtSvg -framework QtWidgets -framework QtGui -framework QtCore -framework DiskArbitration -framework IOKit -framework QtWebKitWidgets -framework QtWebKit -framework QtNetwork -framework QtPrintSupport -framework OpenGL -framework AGL 
AR            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ar cq
RANLIB        = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ranlib -s
SED           = sed
STRIP         = 

####### Output directory

OBJECTS_DIR   = ../../out/build_data/

####### Files

SOURCES       = ../ui/main.cpp \
		../ui/mainwindow.cpp \
		../ui/topeditorcontainer.cpp \
		../ui/editortabwidget.cpp \
		../ui/docengine.cpp \
		../ui/frmabout.cpp \
		../ui/notepadqq.cpp \
		../ui/frmpreferences.cpp \
		../ui/iconprovider.cpp \
		../ui/EditorNS/editor.cpp \
		../ui/EditorNS/bannerfilechanged.cpp \
		../ui/EditorNS/bannerbasicmessage.cpp \
		../ui/EditorNS/bannerfileremoved.cpp \
		../ui/EditorNS/customqwebview.cpp \
		../ui/EditorNS/languageservice.cpp \
		../ui/clickablelabel.cpp \
		../ui/frmencodingchooser.cpp \
		../ui/EditorNS/bannerindentationdetected.cpp \
		../ui/frmindentationmode.cpp \
		../ui/singleapplication.cpp \
		../ui/localcommunication.cpp \
		../ui/Search/frmsearchreplace.cpp \
		../ui/Search/searchstring.cpp \
		../ui/Search/advancedsearchdock.cpp \
		../ui/Extensions/extension.cpp \
		../ui/frmlinenumberchooser.cpp \
		../ui/Extensions/extensionsserver.cpp \
		../ui/Extensions/Stubs/stub.cpp \
		../ui/Extensions/runtimesupport.cpp \
		../ui/Extensions/Stubs/windowstub.cpp \
		../ui/Extensions/Stubs/notepadqqstub.cpp \
		../ui/Extensions/Stubs/editorstub.cpp \
		../ui/Extensions/extensionsloader.cpp \
		../ui/globals.cpp \
		../ui/Extensions/Stubs/menuitemstub.cpp \
		../ui/Extensions/installextension.cpp \
		../ui/keygrabber.cpp \
		../ui/Sessions/sessions.cpp \
		../ui/Sessions/persistentcache.cpp \
		../ui/nqqsettings.cpp \
		../ui/nqqrun.cpp \
		../ui/Search/filesearcher.cpp \
		../ui/Search/filereplacer.cpp \
		../ui/Search/searchobjects.cpp \
		../ui/Search/searchinstance.cpp \
		../ui/stats.cpp \
		../ui/Sessions/backupservice.cpp ../../out/build_data/qrc_resources.cpp \
		../../out/build_data/moc_mainwindow.cpp \
		../../out/build_data/moc_topeditorcontainer.cpp \
		../../out/build_data/moc_editortabwidget.cpp \
		../../out/build_data/moc_docengine.cpp \
		../../out/build_data/moc_frmabout.cpp \
		../../out/build_data/moc_notepadqq.cpp \
		../../out/build_data/moc_frmpreferences.cpp \
		../../out/build_data/moc_editor.cpp \
		../../out/build_data/moc_bannerfilechanged.cpp \
		../../out/build_data/moc_bannerbasicmessage.cpp \
		../../out/build_data/moc_bannerfileremoved.cpp \
		../../out/build_data/moc_customqwebview.cpp \
		../../out/build_data/moc_clickablelabel.cpp \
		../../out/build_data/moc_frmencodingchooser.cpp \
		../../out/build_data/moc_bannerindentationdetected.cpp \
		../../out/build_data/moc_frmindentationmode.cpp \
		../../out/build_data/moc_singleapplication.cpp \
		../../out/build_data/moc_frmsearchreplace.cpp \
		../../out/build_data/moc_advancedsearchdock.cpp \
		../../out/build_data/moc_extension.cpp \
		../../out/build_data/moc_frmlinenumberchooser.cpp \
		../../out/build_data/moc_extensionsserver.cpp \
		../../out/build_data/moc_stub.cpp \
		../../out/build_data/moc_runtimesupport.cpp \
		../../out/build_data/moc_windowstub.cpp \
		../../out/build_data/moc_notepadqqstub.cpp \
		../../out/build_data/moc_extensionsloader.cpp \
		../../out/build_data/moc_menuitemstub.cpp \
		../../out/build_data/moc_installextension.cpp \
		../../out/build_data/moc_keygrabber.cpp \
		../../out/build_data/moc_nqqrun.cpp \
		../../out/build_data/moc_filesearcher.cpp \
		../../out/build_data/moc_filereplacer.cpp \
		../../out/build_data/moc_searchinstance.cpp
OBJECTS       = ../../out/build_data/main.o \
		../../out/build_data/mainwindow.o \
		../../out/build_data/topeditorcontainer.o \
		../../out/build_data/editortabwidget.o \
		../../out/build_data/docengine.o \
		../../out/build_data/frmabout.o \
		../../out/build_data/notepadqq.o \
		../../out/build_data/frmpreferences.o \
		../../out/build_data/iconprovider.o \
		../../out/build_data/editor.o \
		../../out/build_data/bannerfilechanged.o \
		../../out/build_data/bannerbasicmessage.o \
		../../out/build_data/bannerfileremoved.o \
		../../out/build_data/customqwebview.o \
		../../out/build_data/languageservice.o \
		../../out/build_data/clickablelabel.o \
		../../out/build_data/frmencodingchooser.o \
		../../out/build_data/bannerindentationdetected.o \
		../../out/build_data/frmindentationmode.o \
		../../out/build_data/singleapplication.o \
		../../out/build_data/localcommunication.o \
		../../out/build_data/frmsearchreplace.o \
		../../out/build_data/searchstring.o \
		../../out/build_data/advancedsearchdock.o \
		../../out/build_data/extension.o \
		../../out/build_data/frmlinenumberchooser.o \
		../../out/build_data/extensionsserver.o \
		../../out/build_data/stub.o \
		../../out/build_data/runtimesupport.o \
		../../out/build_data/windowstub.o \
		../../out/build_data/notepadqqstub.o \
		../../out/build_data/editorstub.o \
		../../out/build_data/extensionsloader.o \
		../../out/build_data/globals.o \
		../../out/build_data/menuitemstub.o \
		../../out/build_data/installextension.o \
		../../out/build_data/keygrabber.o \
		../../out/build_data/sessions.o \
		../../out/build_data/persistentcache.o \
		../../out/build_data/nqqsettings.o \
		../../out/build_data/nqqrun.o \
		../../out/build_data/filesearcher.o \
		../../out/build_data/filereplacer.o \
		../../out/build_data/searchobjects.o \
		../../out/build_data/searchinstance.o \
		../../out/build_data/stats.o \
		../../out/build_data/backupservice.o \
		../../out/build_data/qrc_resources.o \
		../../out/build_data/moc_mainwindow.o \
		../../out/build_data/moc_topeditorcontainer.o \
		../../out/build_data/moc_editortabwidget.o \
		../../out/build_data/moc_docengine.o \
		../../out/build_data/moc_frmabout.o \
		../../out/build_data/moc_notepadqq.o \
		../../out/build_data/moc_frmpreferences.o \
		../../out/build_data/moc_editor.o \
		../../out/build_data/moc_bannerfilechanged.o \
		../../out/build_data/moc_bannerbasicmessage.o \
		../../out/build_data/moc_bannerfileremoved.o \
		../../out/build_data/moc_customqwebview.o \
		../../out/build_data/moc_clickablelabel.o \
		../../out/build_data/moc_frmencodingchooser.o \
		../../out/build_data/moc_bannerindentationdetected.o \
		../../out/build_data/moc_frmindentationmode.o \
		../../out/build_data/moc_singleapplication.o \
		../../out/build_data/moc_frmsearchreplace.o \
		../../out/build_data/moc_advancedsearchdock.o \
		../../out/build_data/moc_extension.o \
		../../out/build_data/moc_frmlinenumberchooser.o \
		../../out/build_data/moc_extensionsserver.o \
		../../out/build_data/moc_stub.o \
		../../out/build_data/moc_runtimesupport.o \
		../../out/build_data/moc_windowstub.o \
		../../out/build_data/moc_notepadqqstub.o \
		../../out/build_data/moc_extensionsloader.o \
		../../out/build_data/moc_menuitemstub.o \
		../../out/build_data/moc_installextension.o \
		../../out/build_data/moc_keygrabber.o \
		../../out/build_data/moc_nqqrun.o \
		../../out/build_data/moc_filesearcher.o \
		../../out/build_data/moc_filereplacer.o \
		../../out/build_data/moc_searchinstance.o
DIST          = /Users/daniele/Qt/5.5/clang_64/mkspecs/features/spec_pre.prf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/qdevice.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/features/device_config.prf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/unix.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/mac.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/macx.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/sanitize.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/gcc-base.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/gcc-base-mac.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/clang.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/common/clang-mac.conf \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/qconfig.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/modules/qt_lib_bluetooth.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/modules/qt_lib_bluetooth_private.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/modules/qt_lib_clucene_private.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/modules/qt_lib_concurrent.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/modules/qt_lib_concurrent_private.pri \
		/Users/daniele/Qt/5.5/clang_64/mkspecs/modules/qt_lib_core.pri \

=== src/editor/Makefile ===
ifndef DESTDIR
$(error DESTDIR is not set)
endif

# Cross-platform version of $(shell readlink -m "$(DESTDIR)")
ABSOLUTE_DESTDIR := $(shell mkdir -p $$(dirname "$(DESTDIR)") && cd $$(dirname "$(DESTDIR)") && pwd -P)/$$(basename "$(DESTDIR)")

.PHONY: all

all:
	mkdir -p "$(DESTDIR)"
	cp -r classes styles features app.js index.html init.js Languages.json "$(DESTDIR)"/
	mkdir -p "$(DESTDIR)"/libs
	cp -r libs/jquery "$(DESTDIR)"/libs/jquery/
	cp -r libs/MathJax "$(DESTDIR)"/libs/MathJax/
	cp -r libs/require.js "$(DESTDIR)"/libs/require.js/
	# Call CodeMirror makefile passing DESTDIR as absolute path, so we have no problems with cd-ing to libs
	$(MAKE) -C libs -f Makefile-codemirror DESTDIR="$(ABSOLUTE_DESTDIR)"/libs/codemirror

## notepadqq 1.4.4

=== debian/changelog ===
notepadqq (1.4.4-1~xenial1) xenial; urgency=medium

  * Bug fixes

 -- Daniele Di Sarli <danieleds0@gmail.com>  Tue, 01 May 2018 17:32:53 +0200

notepadqq (1.4.0-1~bionic1) bionic; urgency=medium

  * fix: Use custom context menu to avoid reload bug #336 (#618)
  * feat: Math rendering (#625)
  * feat: Don't ask to save empty orphan tabs anymore (closes #632) (#634)
  * feat: Language cache (#629)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Mon, 30 Apr 2018 18:52:38 +0200

notepadqq (1.3.6-1~bionic1) bionic; urgency=medium

  * l10n: add Brazilian localization (#347)
  * l10n: add Brazilian localization (#347)
  * feat: Update CodeMirror to 5.36.1-nqq (#613)
  * fix: use VeryCoarseTimer for stats collection in order to reduce power consumption
  * feat: Add option to backup documents periodically (#615)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 15 Apr 2018 19:14:30 +0200

notepadqq (1.3.4-1~bionic1) bionic; urgency=medium

  * feat: add Japanese translation
  * fix: Load simple.js to avoid CodeMirror.defineSimpleMode errors. (#600) 
  * feat: Save custom indentation mode for sessions. (#606) 
  * feat: Add '--line' and '--column' commandline arguments. (#604)
  * feat: ask user to allow us to collect anonymous usage statistics (#607) 
  * feat: Add warning when opening large files. (#610) 

 -- Daniele Di Sarli <danieleds0@gmail.com>  Tue, 10 Apr 2018 21:37:50 +0200

notepadqq (1.3.2-1~artful1) artful; urgency=high

  * revert

 -- Daniele Di Sarli <danieleds0@gmail.com>  Wed, 04 Apr 2018 12:27:51 +0200

notepadqq (1.3.1-0~trusty1) trusty; urgency=medium

  * fix crash on start on Ubuntu 14.04

 -- Daniele Di Sarli <danieleds0@gmail.com>  Wed, 04 Apr 2018 00:34:29 +0200

notepadqq (1.3.0-0~artful1) artful; urgency=medium

  * Added Spanish Translation by inukaze. Fixes #507. (#508)
  * Fix Qt5 version detection.
  * Ability to disable saving search history (#528)
  * Advanced Search Dock
  * Support loading Qt 5.10 through /opt/ or ~/
  * Update CodeMirror to 5.33.0
  * Add menu options to toggle visibility of toolbar and menubar.
  * Add option to quit Nqq when closing last open tab. (#550)
  * Improve high Dpi looks
  * Fix infinite loop when searching for 0-length regex
  * Fix editor focus issues (fixes #265)
  * Back references now working for regex search using the search dock.
  * Add help dialog about regular expression use
  * Prevent appmenu-qt5 from removing our menubar
  * feat: implement --allow-root and prohibit running as root by default.
  * feat: Add customizable Toolbar
  * feat: Enable basic document printing
  * fix: Prefer GTK's icon theme if XDG_CURRENT_DESKTOP is not set
  * feat: allow horizontal scrolling when holding shift + mouse wheel (closes #582)

 -- Daniele Di Sarli <danieleds0@gmail.com>  Tue, 03 Apr 2018 15:30:55 +0200

notepadqq (1.2.0-1~artful1) artful; urgency=medium

  * allow banners to stretch horizontally and vertically (#349)
  * Preferences menu now has an "Apply" button in addition to "Ok" and "Cancel". That way users can immediately see visual changes (like themes) without having to exit the menu all the time.
  * The Shortcuts tab now has a "Reset Selected Shortcut" in addition to the "Reset All Shortcut" button.
  * The Preferences menu remembers the last selected settings tab and will automatically switch to it when re-opened (this is not a saved setting. Only implemented as a static variable).
  * Turned the "File Format" and "Encoding" labels in the status bar into ClickableLabels. When clicked, they open the Format/Encoding QMenu that is also used in Nqq's menu bar.
  * File encoding in the status bar wasn't properly updated. Fixed that by calling updateEditorUiInfo() when switching encoding.
  * Added menu shortcuts for accessibility
  * l10n: add Slovenian translation (#352)
  * sessions: during session load, show BannerFileRemoved when the file is missing (#353)
  * preferences: fix theme loading glitch (closes #246) (#356)
  * UI: disable "reload" actions if no file to reload exists (#354)
  * Update notepadqq launcher (fedora) (#366)
  * Support Qt 5.8 and 5.9 (#376)
  * fix: user was not allowed to exit Nqq if session.xml couldn't be saved
  * Title bar has wrong tab title after launch (fixes #421) (#422)
  * Warn about missing icons; fix potential crash
  * %directory% in run command. (#434)
  * Fix segfault on start (fixes #440)
  * Open folder contents if a folder is dropped onto Nqq. (#455)
  * add handel-c language (#443)
  * Apply group replacement across the entire matched string.
  * Fixed "^F Find ENTER does not search for the currently selected text" #417. (#468)
  * Convert text to path in svg logo (#477)
  * Added a "Retry as Root" to Nqq's save dialog. (#480)
  * Keep file names of deleted files when loading a session. Otherwise they just show up as 'new X'. (#483)
  * Don't load tabs from session that don't exist and aren't cached since they're just empty. (#484)
  * Prompt user when opening a file from recent history that does not exist anymore. Fixes #248.
  * Remember "Enable Smart Indent" setting #488 (#492) 

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 15 Oct 2017 12:55:11 +0200

notepadqq (1.0.1-3~artful1) artful; urgency=medium

  * Release for artful

 -- Daniele Di Sarli <danieleds0@gmail.com>  Mon, 17 Apr 2017 23:44:53 +0200

notepadqq (1.0.1-0~yakkety1) yakkety; urgency=medium

  * Fix: settings were not saved

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 05 Feb 2017 23:46:42 +0100

notepadqq (1.0.0-0~yakkety1) yakkety; urgency=medium

  * Sessions
  * Run menu
  * Option to disable smart indentation
  * Option to change line height
  * Support special characters in replacement strings when searching
  * Improved shortcut settings
  * Speed improvements in search in files
  * Use the system language as default language
  * Swedish localization

 -- Daniele Di Sarli <danieleds0@gmail.com>  Sun, 05 Feb 2017 22:54:57 +0100

notepadqq (0.53.0-0~xenial1) xenial; urgency=medium



=== debian/control ===
Source: notepadqq
Section: editors
Priority: optional
Maintainer: Daniele Di Sarli <danieleds0@gmail.com>
Build-Depends:
   debhelper (>= 9),
   qtbase5-dev (>= 5.2.1),
   libqt5webkit5-dev (>= 5.1.1),
   libqt5svg5-dev (>= 5.2.1),
   qttools5-dev-tools (>= 5.2.1)
Standards-Version: 3.9.6
Homepage: http://notepadqq.altervista.org
Vcs-Git: git://github.com/notepadqq/notepadqq.git
Vcs-Browser: https://github.com/notepadqq/notepadqq

Package: notepadqq
Architecture: any
Depends:
   notepadqq-common (>= ${source:Version}),
   notepadqq-common (<< ${source:Version}.1~),
   coreutils (>= 8.20),
   libqt5svg5 (>= 5.2.1),
   ${shlibs:Depends},
   ${misc:Depends}
Description: Notepad++-like editor for Linux
 Text editor with support for multiple programming
 languages, multiple encodings and plugin support.

Package: notepadqq-gtk
Architecture: all
Depends:
   notepadqq (>= ${binary:Version}),
   notepadqq (<< ${binary:Version}.1~),
   ${misc:Depends}
Description: Notepad++-like editor for Linux - GTK style
 Text editor with support for multiple programming
 languages, multiple encodings and plugin support.
 .
 This package enables GTK style on startup. The application
 itself is still compiled against Qt5.

Package: notepadqq-common
Architecture: all
Depends:
   ${misc:Depends}
Replaces: notepadqq (<= 0.39.0)
Breaks: notepadqq (<= 0.39.0)
Recommends:
 notepadqq
Description: Notepad++-like editor for Linux - common files
 Text editor with support for multiple programming
 languages, multiple encodings and plugin support.
 .
 This package will install the common files for Notepadqq.

## notepadqq 1.4.8

=== debian/changelog ===
notepadqq (1.4.8-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Tue, 15 Oct 2019 19:46:51 -0400

notepadqq (1.4.8-0.1~mx17+1) mx; urgency=medium

  * Import new upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Oct 2018 14:23:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: notepadqq
 Section: editors
 Priority: optional
-Maintainer: Daniele Di Sarli <danieleds0@gmail.com>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Daniele Di Sarli <danieleds0@gmail.com>
 Build-Depends:
    debhelper (>= 9),
    qtbase5-dev (>= 5.2.1),
@@ -19,7 +20,6 @@
    notepadqq-common (>= ${source:Version}),
    notepadqq-common (<< ${source:Version}.1~),
    coreutils (>= 8.20),
-   libqt5svg5 (>= 5.2.1),
    ${shlibs:Depends},
    ${misc:Depends}
 Description: Notepad++-like editor for Linux

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT=qt5

EXTDIR=debian/tmp/usr/share/notepadqq/extension_tools/node_modules

%:
	dh ${@} --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -rf out

# Work-around for some machines where INSTALL_ROOT is not set properly by
# dh_auto_install
override_dh_auto_install:
	dh_auto_install -- INSTALL_ROOT=$(CURDIR)/debian/tmp

override_dh_install:
	rm -rf `find $(EXTDIR) -type d -name test*` \
		$(EXTDIR)/archiver/node_modules/async/support $(EXTDIR)/shelljs/scripts
	dh_install -XLICENCE -XLICENSE -XAUTHORS -X.md
	install -m755 debian/tmp/usr/bin/notepadqq \
		$(CURDIR)/debian/notepadqq/usr/lib/notepadqq/notepadqq.sh

override_dh_installdocs:
	dh_installdocs --link-doc=notepadqq-common

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## notepadqq 2.0.0~beta1

=== src/editor/Makefile ===
--- 
+++ 
@@ -14,5 +14,6 @@
 	cp -r libs/jquery "$(DESTDIR)"/libs/jquery/
 	cp -r libs/MathJax "$(DESTDIR)"/libs/MathJax/
 	cp -r libs/require.js "$(DESTDIR)"/libs/require.js/
+	cp -r libs/throttle-debounce "$(DESTDIR)"/libs/throttle-debounce/
 	# Call CodeMirror makefile passing DESTDIR as absolute path, so we have no problems with cd-ing to libs
 	$(MAKE) -C libs -f Makefile-codemirror DESTDIR="$(ABSOLUTE_DESTDIR)"/libs/codemirror

=== src/extension_tools/Makefile ===
ifndef DESTDIR
$(error DESTDIR is not set)
endif

.PHONY: all

all:
	mkdir -p "$(DESTDIR)"
	cp -r node_modules install.js pack.js package.json readmanifest.js "$(DESTDIR)"/

=== debian/changelog ===
notepadqq (2.0.0~beta1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev. (Closes: #1093810)

 -- Bastian Germann <bage@debian.org>  Mon, 27 Jan 2025 12:46:44 +0100

notepadqq (2.0.0~beta1-4) unstable; urgency=medium

  [ Xavier Guimard (Yadd) ]
  * Add fix for rollup 3.
    This patch updates also rollup plugin from deprecated rollup-plugin-buble
    to new @rollup/plugin-buble (Closes: #1023327)
  * Update lintian overrides

  [ Anthony Fok ]
  * debian/tests/control: Remove unnecessary test dependency on autopkgtest.
    Thanks to Paul Gevers for letting us know! (Closes: #1022865)
  * Bump Standards-Version to 4.6.2 (no change)
  * debian/copyright: Point Source URL to notepadqq repository on GitHub,
    add my own name, and add move "On Debian systems" text for GPL-3+ to
    the Comment field
  * Replace empty debian/watch with one pointing to GitHub
  * Update Lintian overrides
  * debian/upstream/metadata: Fix typo caught by Lintian

 -- Anthony Fok <foka@debian.org>  Fri, 03 Feb 2023 04:13:14 -0700

notepadqq (2.0.0~beta1-3) unstable; urgency=medium

  * Correctly add myself to the list of Uploaders
    (I previously added myself to the Maintainer field mistakenly)

 -- Anthony Fok <foka@debian.org>  Wed, 25 Aug 2021 11:55:47 -0600

notepadqq (2.0.0~beta1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Pass --disable-gpu to Chromium when running the test
    to fix failure with Qt WebEngine 5.15.3 (from 2.0.0~beta1-1ubuntu1)
  * Update debian/patches/0001-remove_extension_tools
    to also remove make_extensionTools target from dependencies
    (from 2.0.0~beta1-1ubuntu2) (Closes: #964603)

  [ Anthony Fok ]
  * Apply "cme fix dpkg" fixes:
    - Organize debian/control and debian/copyright fields
    - Change license shortcode MIT to Expat in debian/copyright
    - Add synopsis to to debian/patches/*.patch
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Bump Standards-Version to 4.6.0 (no change)
  * Fix outdated Homepage URL in package description: new URL is
    https://notepadqq.com/   Thanks to Jörg Sommer (Closes: #965192)
  * Update Vcs-Browser and Vcs-Git to point to repo on Salsa
  * Add debian/gbp.conf to use debian/sid as debian-branch as per DEP-14
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Mon, 23 Aug 2021 21:38:09 -0600

notepadqq (2.0.0~beta1-1) unstable; urgency=low

  * Initial release. Closes: #740809

 -- Alessandro Grassi <alessandro@aggro.it>  Fri, 18 Oct 2019 22:23:25 +0200

=== debian/control ===
Source: notepadqq
Section: editors
Priority: optional
Maintainer: Alessandro Grassi <alessandro@aggro.it>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               qtbase5-dev,
               pkg-config,
               rollup,
               node-rollup-plugin-buble,
               libuchardet-dev,
               libqt5svg5-dev,
               libqt5websockets5-dev,
               libqt5webchannel5-dev,
               qtwebengine5-dev,
               libqt5webenginewidgets5,
               qttools5-dev-tools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/notepadqq
Vcs-Git: https://salsa.debian.org/debian/notepadqq.git
Homepage: https://notepadqq.com/

Package: notepadqq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5svg5,
         libjs-highlight.js (>= 9.12),
         libjs-modernizr,
         libjs-jquery (>= 2.1.1),
         libjs-requirejs (>= 2.3.5),
         libjs-mathjax (>= 2.7.0)
Description: Notepad++-like editor for Linux
 Notepadqq is a text editor designed from developers,
 for developers.
 .
 It support for multiple programming languages, multiple
 encodings, plugins and unnamed buffers.

=== debian/tests/control ===
Tests: cli gui
Depends: @, xvfb, xauth

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/notepadqq/notepadqq/tags .*/v?(\d\S*)\.tar\.gz debian
